%bcond_without check

%global goipath         github.com/go-openapi/errors
Version:                0.19.9

%gometa

%global common_description %{expand:
Package Errors provides an Error interface and several concrete types
implementing this interface to manage API errors and JSON-schema validation
errors.

A middleware handler ServeError() is provided to serve the errors types it
defines.

It is used throughout the various Go-openapi toolkit libraries.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Openapi toolkit common errors

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19.9-1
- initial build
